漏洞信息详情

strongSwan ASN.1解析器安全漏洞

  • CNNVD编号:CNNVD-201705-740
  • 危害等级: 高危
  • CVE编号: CVE-2017-9023
  • 漏洞类型: 其他
  • 发布时间: 2017-05-17
  • 威胁类型: 远程
  • 更新时间: 2019-10-23
  • 厂        商: strongswan
  • 漏洞来源:

漏洞简介

strongSwan是瑞士Andreas Steffen软件开发者的一套Linux平台使用的开源的基于IPsec的VPN解决方案。该方案包含X.509公开密钥证书、安全储存私钥、智能卡等认证机制。

strongSwan 5.5.3之前的版本中的ASN.1解析器存在安全漏洞,该漏洞源于在x509插件启动时,程序没有正确处理CHOICE类型。远程攻击者可利用该漏洞造成拒绝服务。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.strongswan.org/blog/2017/05/30/strongswan-vulnerability-%28cve-2017-9023%29.html

参考网址

来源:BID

链接:https://www.securityfocus.com/bid/98756

来源:CONFIRM

链接:https://www.strongswan.org/blog/2017/05/30/strongswan-vulnerability-(cve-2017-9023).html

来源:DEBIAN

链接:https://www.debian.org/security/2017/dsa-3866

来源:UBUNTU

链接:http://www.ubuntu.com/usn/USN-3301-1

漏洞信息快速查询

相关漏洞

更多